curl --request POST \
--url 'https://api.workstream.stateset.com/v1/workflows/active-horizon-agent/{workflow_id}/enqueue' \
--header "x-api-key: $STATESET_TEMPORAL_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"task_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"description": "Two-person tent, green — replacement for damaged pole set.",
"workflow_type": "ConnectorWorkflow",
"payload": {}
}'
Enqueue active horizon agent task
Accepted — enqueue signalled to the active-horizon agent.
POST
/
v1
/
workflows
/
active-horizon-agent
/
{workflow_id}
/
enqueue
curl --request POST \
--url 'https://api.workstream.stateset.com/v1/workflows/active-horizon-agent/{workflow_id}/enqueue' \
--header "x-api-key: $STATESET_TEMPORAL_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"task_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"description": "Two-person tent, green — replacement for damaged pole set.",
"workflow_type": "ConnectorWorkflow",
"payload": {}
}'
Path parameters
string (string)
required
Request body
LongHorizonTask
string
required
string
required
string
required
object
required
Maximum serialized size: 262144 bytes.
Response
No response body. Accepted — enqueue signalled to the active-horizon agent.Status codes
| Code | Meaning |
|---|---|
202 | Accepted — enqueue signalled to the active-horizon agent. |
400 | Validation error |
401 | Unauthorized |
404 | Not found |
429 | Rate limited |
500 | Internal error |
curl --request POST \
--url 'https://api.workstream.stateset.com/v1/workflows/active-horizon-agent/{workflow_id}/enqueue' \
--header "x-api-key: $STATESET_TEMPORAL_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"task_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"description": "Two-person tent, green — replacement for damaged pole set.",
"workflow_type": "ConnectorWorkflow",
"payload": {}
}'
Last modified on August 31, 2026